---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libintrpthrd003.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4AD40, symBinAddr: 0x81C8, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4CC80, symBinAddr: 0xA108, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4D068, symBinAddr: 0xA4F0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4E008, symBinAddr: 0xB490, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4E010, symBinAddr: 0xB498, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4A9C0, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4A9C4, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4A9C8, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4AB18, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4ABD0, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4ABD4, symBinAddr: 0x8154, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4ABD8, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4ABDC, symBinAddr: 0x815C, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4ABE0, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4ABE8, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4AC00, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4AC08, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4AC10, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4AC18, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4AC20, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4AC68, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x90AE, offset: 0x90AE, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4AC70, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x90C7, offset: 0x90C7, size: 0x8, addend: 0x0, symName: __ZL13intrpthrd_err, symObjAddr: 0x4AC80, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x90E0, offset: 0x90E0, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4AC84, symBinAddr: 0x81C4, symSize: 0x0 }
  - { offsetInCU: 0x9139, offset: 0x9139, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0xE34, symSize: 0xA0 }
  - { offsetInCU: 0x91CE, offset: 0x91CE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0xE0C, symSize: 0x28 }
  - { offsetInCU: 0x9231, offset: 0x9231, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0xD8C, symSize: 0x80 }
  - { offsetInCU: 0x94C5, offset: 0x94C5, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0xED4, symSize: 0x20C }
  - { offsetInCU: 0x967E, offset: 0x967E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x10E0, symSize: 0x28 }
  - { offsetInCU: 0x9747, offset: 0x9747, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x1108, symSize: 0xB0 }
  - { offsetInCU: 0x983E, offset: 0x983E, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x11B8, symSize: 0xD8 }
  - { offsetInCU: 0x9963, offset: 0x9963, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x1290, symSize: 0x24 }
  - { offsetInCU: 0x99EE, offset: 0x99EE, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x12B4, symSize: 0x168 }
  - { offsetInCU: 0x9BCA, offset: 0x9BCA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x141C, symSize: 0x104 }
  - { offsetInCU: 0x9D47, offset: 0x9D47, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x1520, symSize: 0x154 }
  - { offsetInCU: 0x9F2B, offset: 0x9F2B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x1674, symSize: 0xAC }
  - { offsetInCU: 0xA000, offset: 0xA000, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x1720, symSize: 0x14 }
  - { offsetInCU: 0xA039, offset: 0xA039, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x1734, symSize: 0x14 }
  - { offsetInCU: 0xA072, offset: 0xA072, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x1748, symSize: 0x14 }
  - { offsetInCU: 0xA1EF, offset: 0xA1EF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x175C, symSize: 0x1A8 }
  - { offsetInCU: 0xA503, offset: 0xA503, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x1904, symSize: 0x9C }
  - { offsetInCU: 0xA5C0, offset: 0xA5C0, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x19A0, symSize: 0x690 }
  - { offsetInCU: 0xB152, offset: 0xB152, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x8ED4, symBinAddr: 0x2940, symSize: 0x30 }
  - { offsetInCU: 0xB1DE, offset: 0xB1DE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x2030, symSize: 0x74 }
  - { offsetInCU: 0xB28E, offset: 0xB28E, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x20A4, symSize: 0xB0 }
  - { offsetInCU: 0xB38D, offset: 0xB38D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x2154, symSize: 0x3C }
  - { offsetInCU: 0xB483, offset: 0xB483, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x2190, symSize: 0x29C }
  - { offsetInCU: 0xB7C6, offset: 0xB7C6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x242C, symSize: 0xD0 }
  - { offsetInCU: 0xB8F4, offset: 0xB8F4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x24FC, symSize: 0xC }
  - { offsetInCU: 0xB9B6, offset: 0xB9B6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x2508, symSize: 0x22C }
  - { offsetInCU: 0xBC71, offset: 0xBC71, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x2734, symSize: 0x4 }
  - { offsetInCU: 0xBCB5, offset: 0xBCB5, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x2734, symSize: 0x4 }
  - { offsetInCU: 0xBCC7, offset: 0xBCC7, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x2738, symSize: 0x124 }
  - { offsetInCU: 0xBE45, offset: 0xBE45, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8DF0, symBinAddr: 0x285C, symSize: 0x4 }
  - { offsetInCU: 0xBE89, offset: 0xBE89, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8DF0, symBinAddr: 0x285C, symSize: 0x4 }
  - { offsetInCU: 0xBEBB, offset: 0xBEBB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_InterruptThread_intrpthrd003_check, symObjAddr: 0x8DF4, symBinAddr: 0x2860, symSize: 0xB4 }
  - { offsetInCU: 0xBF5B, offset: 0xBF5B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_InterruptThread_intrpthrd003_getResult, symObjAddr: 0x8EA8, symBinAddr: 0x2914, symSize: 0x18 }
  - { offsetInCU: 0xBF91, offset: 0xBF91, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_InterruptThread_intrpthrd003_isThreadNotAliveError, symObjAddr: 0x8EC0, symBinAddr: 0x292C, symSize: 0x14 }
  - { offsetInCU: 0xBFC8, offset: 0xBFC8, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x8F04, symBinAddr: 0x2970, symSize: 0x358 }
...
